# beanie
Beanie 是一个基于 Pydantic 和 Motor 的异步 MongoDB 客户端， Motor 是 MongoDB 官方驱动，


## Usage

```
pip install beanie

from beanie import init_beanie
from beanie import Document, PydanticObjectId

class Admin(Document):
    name: str
    age: int

    class Config:
        json_schema_extra = {
            "example": {
                "name": "Abdulazeez Abdulazeez Adeshina",
                "age": 15,
            }
        }

# 初始化 Beanie
async def main():
    await init_beanie(database="test_db", document_models=[User])

# 如果需要运行初始化代码，请调用 main 函数
if __name__ == "__main__":
    import asyncio
    asyncio.run(main())

```
